Mailinglist Archive: opensuse-es (722 mails)

< Previous Next >
[opensuse-es] Generación de pdf con Ghostscript
  • From: "Camaleón" <noelamac@xxxxxxxxx>
  • Date: Sat, 9 Jun 2007 15:49:12 +0200
  • Message-id: <b23e69e70706090649o4966fb84va7b52c538e89c137@xxxxxxxxxxxxxx>
Hola,

Tengo problemas para convertir algunos (luego matizo) ficheros pdf a
Postscript.

La conversión funciona sin problemas mientras que el archivo pdf no
lleve (de ninguna forma, ni inscrustado ni enlazado) fuentes del tipo
símbolos, por ejemplo, la propia symbol o la webdings. El resto de
fuentes no generan un error en el proceso de conversión.

El error sólo se produce en una SuSE 10.0 que no tiene instalado
ningún servidor gráfico, y la versión de ghostscript es la 8.15.0. En
cambio, en una SuSE 10.1 con servidor gráfico instalado y una versión
superior de ghostscript (8.15.2) el mismo fichero a convertir se
genera sin problemas.

He instalado algunos paquetes de fuentes (100dpi y 75dpi) así como
otros paquetes que aparecen bajo la categoría de "edición / ps" por si
faltara alguna librería o algún fichero que defina la conversión
(tamaño, escalado...) de este tipo de tipografías pero sigue dando el
mismo error.

En el mensaje de error que saca gs se ve claramente el nombre de la
tipografía, por lo que obviamente tiene algún problema al convertir
esas fuentes.

Pienso que el problema podría ser:

a) La propia versión de ghostscript que tiene algún bug
b) No tener instalado un servidor gráfico ni fuentes truetype

Para evitar a) había pensado en actualizar el paquete ghostscript,
pero no veo ningún repositorio para una SuSE 10.0 que tenga una
versión actualizada de ghostscript y la idea de compilarlo no me hace
gracia alguna :-/

Para evitar b) instalé las fuentes adicionales, tanto de ghostscript
como los paquetes x11-fonts-100dpi y x11-fonts-75dpi pero no ha dado
resultado.

A la versión 10.0 ya le queda sólo unos meses (allá por Octubre se
habrá quedado obsoleta) pero no me gustaría, cuando toque instalar una
nueva versión,  encontrarme con el mismo error debido a que fuera por
un problema de instalación de fuentes / tipografías o por no tener
algún paquete relacionado con el servidor gráfico.

¿Alguna idea?

Saludos,

--
Camaleón
---------------------------------------------------------------------
Para dar de baja la suscripción, mande un mensaje a:
  opensuse-es+unsubscribe@xxxxxxxxxxxx
Para obtener el resto de direcciones-comando, mande
un mensaje a:
  opensuse-es+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups